<run>
<desc>
  https://github.com/qgis/QGIS/issues/31552
  QGIS #31552 - Union of Polygons which may fail in GEOS.
</desc>
<precisionModel type="FLOATING"/>
<tolerance>1</tolerance>

<case>
<desc> QGIS #31552 - 1 </desc>
  <a>
[encoded data, 6658 characters]   </a>
<test>
    <op name="unionArea" arg1="A" > 587209.5943982789 </op>
</test>
</case>

<case>
<desc> QGIS #31552 - 2  </desc>
  <a>
[encoded data, 5762 characters]
   </a>
<test>
    <op name="unionArea" arg1="A"> 296243.5005448754 </op>
</test>
</case>

</run>
